Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] cave/paludis: problem updating sys-fs/udev
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
andi456
Tux's lil' helper
Tux's lil' helper


Joined: 06 Mar 2005
Posts: 123
Location: Germany

PostPosted: Wed Sep 25, 2013 10:42 am    Post subject: [solved] cave/paludis: problem updating sys-fs/udev Reply with quote

Hi everybody,

something's going wrong resolving sys-fs/udev:
Code:

cave resolve sys-fs/udev

 u   sys-fs/udev:0::gentoo 207 to ::installed replacing 204
    acl -doc firmware-loader gudev introspection kmod openrc (-selinux) -static-libs ABI_MIPS: (-n32)+ (-n64)+ (-o32)+ ABI_X86: -32+ (64)+ (-x32)+ build_options: symbols=split -dwarf_compress (-optional_tests) -trace work=tidyup
    Reasons: target, !<sys-fs/udev-133 from sys-apps/openrc-0.12:0::installed, !<sys-fs/udev-186 from sys-fs/udev-init-scripts-26:0::installed, virtual/udev-206-r2:0::gentoo
    2.26 MBytes to download

Total: 1 upgrades, 2.26 MBytes to download

abi_mips:
    n32:                           64-bit (32-bit pointer) libraries
    n64:                           64-bit libraries
    o32:                           32-bit libraries

abi_x86:
    32:                            32-bit (x86) libraries
    64:                            64-bit (amd64) libraries
    x32:                           x32 ABI libraries

I encountered the following errors:

!   virtual/udev
    Reasons: dependent upon sys-fs/udev-204:0::installed (RDEPEND), app-misc/media-player-info-17:0::installed, dev-libs/libatasmart-0.19-r1:0::installed, 13 more
    Unsuitable candidates:
      * virtual/udev-200:0::gentoo
        Did not meet >=virtual/udev-206-r2, use existing if possible, installing to / from sys-fs/udev-207:0::gentoo
      * virtual/udev-206-r2:0::gentoo
        Did not meet >=virtual/udev-197[gudev,hwdb], use existing if possible, installing to / from sys-fs/udisks-1.0.4-r5:0::installed
            Flag 'hwdb' enabled

I tried to uninstall the virtual, but it didn't work. What else could I do?

Regards Andreas


Last edited by andi456 on Fri Sep 27, 2013 11:32 am; edited 1 time in total
Back to top
View user's profile Send private message
Ant P.
Advocate
Advocate


Joined: 18 Apr 2009
Posts: 2272
Location: UK

PostPosted: Wed Sep 25, 2013 3:14 pm    Post subject: Reply with quote

Reinstall udisks.
Back to top
View user's profile Send private message
yoshi314
l33t
l33t


Joined: 30 Dec 2004
Posts: 819
Location: PL

PostPosted: Fri Sep 27, 2013 10:58 am    Post subject: Reply with quote

Quote:
Did not meet >=virtual/udev-197[gudev,hwdb], use existing if possible, installing to / from sys-fs/udisks-1.0.4-r5:0::installed
Flag 'hwdb' enabled


I'd check this out first.
_________________
~amd64, ~x86
shrink your /usr/portage with squashfs+aufs
Back to top
View user's profile Send private message
andi456
Tux's lil' helper
Tux's lil' helper


Joined: 06 Mar 2005
Posts: 123
Location: Germany

PostPosted: Fri Sep 27, 2013 11:28 am    Post subject: Reply with quote

Thanks for the hint,

I had to uninstall udisks-1.0.4-r5 in order to make the update going.

Regards Andreas
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2103
Location: Finland

PostPosted: Fri Sep 27, 2013 11:46 am    Post subject: Reply with quote

andi456 wrote:
Thanks for the hint,

I had to uninstall udisks-1.0.4-r5 in order to make the update going.

Regards Andreas


Paludis doesn't handle the situation well when ebuild changes it's IUSE but it's ebuild revision (-rX) doesn't change.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum